<?php get_header(); ?>
		
	<div id="main">

		<div class="entry">
	
		<?php if (have_posts()) : ?>

			<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
	
			<?php /* If this is a category archive */ if (is_category()) { ?>				
			<h2>Entries Tagged as '<?php echo single_cat_title(); ?>'</h2>
			
			<?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
			<h2>Entries from <?php the_time('F Y'); ?></h2>
			
			<?php /* If this is a search */ } elseif (is_search()) { ?>
			<h2>Search Results</h2>

			<?php } ?>

			<?php while (have_posts()) : the_post(); ?>
			
			<h1><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h1>
			<div class="postcontent">
				<?php the_excerpt() ?>
				<p class="tagged"><strong>Categories:</strong> <?php the_category(' &middot; ') ?></p>
			</div>
			
			
			<?php endwhile; ?>
			
			<?php include (TEMPLATEPATH . '/navigation.php'); ?>
		</div>
		<?php else : ?>
		
			<h2 class="page_header">Welp, we couldn't find that...try again?</h2>
			<div class="entry">
				<?php include (TEMPLATEPATH . '/searchform.php'); ?>
			</div>
			
		<?php endif; ?>
			
		</div>
	
		<?php get_sidebar(); ?>
		
	</div>
		
<?php get_footer(); ?>