<?php get_header(); ?>

<div id="main">
	<h2>Search Results</h2>
		<?php if (have_posts()) : ?>
			
			<?php while (have_posts()) : the_post(); ?>
			
			<div class="entry">
				<h1><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h1>
				
				<div class="authorinfo">
					<p><span>Posted:</span> <?php the_time('F jS, Y') ?><!-- by <?php the_author() ?> --> &middot; <span>Comments</span> <?php comments_popup_link('No Comments', '1 Comment', '% Comments'); ?></p>						
				</div>

				<div class="postcontent">
					<?php the_content('Read More &rarr;'); ?>
				</div>	
			</div>		
			<?php endwhile; ?>
			
			
			<?php include (TEMPLATEPATH . '/navigation.php'); ?>
		
		<?php else : ?>
			
			<div class="entry">
			<div class="postcontent">
			<p>No posts found. Try a different search?</p>
			</div>
			</div>
		<?php endif; ?>
			
		</div>

		<?php get_sidebar(); ?>

	</div>

<?php get_footer(); ?>